[ovs-dev,v1,ovn] ovs container build.sh requires python3
diff mbox series

Message ID 20191011205910.71944-1-amginwal@gmail.com
State New
Headers show
Series
  • [ovs-dev,v1,ovn] ovs container build.sh requires python3
Related show

Commit Message

aginwala aginwala Oct. 11, 2019, 8:59 p.m. UTC
From: Aliasgar Ginwala <aginwala@ebay.com>

building ovn/ovs container breaks while configure:
checking for Python 3 (version 3.4 or later)... no
configure: error: Python 3.4 or later is required but not found in
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin,
please install it or set  to point to it

As per commit 1ca0323e7c29dc7ef5a615c265df0460208f92de
Require Python 3 and remove support for Python 2.

Signed-off-by: Aliasgar Ginwala <aginwala@ebay.com>
---
 utilities/docker/debian/build.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Han Zhou Oct. 11, 2019, 10:03 p.m. UTC | #1
On Fri, Oct 11, 2019 at 2:08 PM <amginwal@gmail.com> wrote:
>
> From: Aliasgar Ginwala <aginwala@ebay.com>
>
> building ovn/ovs container breaks while configure:
> checking for Python 3 (version 3.4 or later)... no
> configure: error: Python 3.4 or later is required but not found in
> /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin,
> please install it or set  to point to it
>
> As per commit 1ca0323e7c29dc7ef5a615c265df0460208f92de
> Require Python 3 and remove support for Python 2.
>
> Signed-off-by: Aliasgar Ginwala <aginwala@ebay.com>
> ---
>  utilities/docker/debian/build.sh | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/utilities/docker/debian/build.sh
b/utilities/docker/debian/build.sh
> index 3c404bc39..981ff796e 100755
> --- a/utilities/docker/debian/build.sh
> +++ b/utilities/docker/debian/build.sh
> @@ -18,8 +18,8 @@ GITHUB_SRC=$3
>
>  # Install deps
>  linux="linux-image-$KERNEL_VERSION linux-headers-$KERNEL_VERSION"
> -build_deps="apt-utils libelf-dev build-essential libssl-dev python \
> -python-six wget gdb autoconf libtool git automake bzip2 debhelper \
> +build_deps="apt-utils libelf-dev build-essential libssl-dev python3 \
> +python3-six wget gdb autoconf libtool git automake bzip2 debhelper \
>  dh-autoreconf openssl"
>
>  apt-get update
> --
> 2.20.1 (Apple Git-117)
>
> _______________________________________________
> dev mailing list
> dev@openvswitch.org
> https://mail.openvswitch.org/mailman/listinfo/ovs-dev

Thanks for the fix. I applied to the master.

Patch
diff mbox series

diff --git a/utilities/docker/debian/build.sh b/utilities/docker/debian/build.sh
index 3c404bc39..981ff796e 100755
--- a/utilities/docker/debian/build.sh
+++ b/utilities/docker/debian/build.sh
@@ -18,8 +18,8 @@  GITHUB_SRC=$3
 
 # Install deps
 linux="linux-image-$KERNEL_VERSION linux-headers-$KERNEL_VERSION"
-build_deps="apt-utils libelf-dev build-essential libssl-dev python \
-python-six wget gdb autoconf libtool git automake bzip2 debhelper \
+build_deps="apt-utils libelf-dev build-essential libssl-dev python3 \
+python3-six wget gdb autoconf libtool git automake bzip2 debhelper \
 dh-autoreconf openssl"
 
 apt-get update